Name:           clanbomber
Version:        2.1.1
Release:        %mkrel 17
Summary:        A free (GPL) Bomberman-like multiplayer game
License:        GPLv2
Group:          Games/Arcade
URL:		http://savannah.nongnu.org/projects/clanbomber/
Source0:        http://download.savannah.gnu.org/releases/clanbomber/%{name}-%{version}.tar.lzma
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		clanbomber-2.1.1-desktop-fix.patch
Patch1:		clanbomber-2.1.1-dirprefix.patch
Patch2:		clanbomber-2.1.1-mageia-boost-filesystem.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(sdl) >= 1.2.0
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_gfx)

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep
%setup -q
%autopatch -p0

%build
export CXXFLAGS="%optflags -pthread"
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --with-boost-libdir=%{_libdir}
%make

%install
%makeinstall_std

%find_lang %name

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_gamesdatadir}/applications/*.desktop %{buildroot}%{_datadir}/applications/

%files -f %name.lang
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Sat Dec 26 2015 daviddavid <daviddavid> 2.1.1-17.mga6
+ Revision: 915158
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 2.1.1-16.mga6
+ Revision: 883667
- rebuild for new boost 1.59.0

* Sun Aug 02 2015 daviddavid <daviddavid> 2.1.1-15.mga6
+ Revision: 860507
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-14.mga5
+ Revision: 744095
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-13.mga5
+ Revision: 678411
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.1.1-12.mga5
+ Revision: 591717
- rebuild for SDL_gfx

* Sat Feb 08 2014 barjac <barjac> 2.1.1-11.mga5
+ Revision: 585935
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-10.mga4
+ Revision: 529365
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2.1.1-9.mga4
+ Revision: 451711
- rebuild for new boost

* Thu Apr 11 2013 malo <malo> 2.1.1-8.mga3
+ Revision: 409487
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 2.1.1-7.mga3
+ Revision: 347820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 2.1.1-6.mga3
+ Revision: 345439
- rebuild for new SDL_gfx

* Thu Dec 20 2012 fwang <fwang> 2.1.1-5.mga3
+ Revision: 332977
- rebuild for new boost

* Wed Sep 12 2012 zezinho <zezinho> 2.1.1-4.mga3
+ Revision: 293179
- resurrect switch for pthreads
- patch from Joseph Wang to build against boost 1.50

  + fwang <fwang>
    - drop old switch on boost-filesystem
    - rebuild for new boost

* Wed Jun 20 2012 fwang <fwang> 2.1.1-2.mga3
+ Revision: 262049
- fix desktop
- fix wrong dirname
- specify boostdir
- new version 2.1.1

* Tue Mar 06 2012 zezinho <zezinho> 1.05-16.mga2
+ Revision: 220517
- add requires on soundwrapper as it is called by menu

* Sun Feb 05 2012 zezinho <zezinho> 1.05-15.mga2
+ Revision: 204980
- rebuild for MGA2

* Mon Apr 18 2011 rtp <rtp> 1.05-14.mga1
+ Revision: 87869
- rebuild with fixed clanlib

* Thu Mar 17 2011 obgr_seneca <obgr_seneca> 1.05-13.mga1
+ Revision: 73009
- cleaned up spec file
- removed buildroot tag
- fixed license
- put desktop file into separate file
- corrected requires/provides/obsoletes
- imported package clanbomber


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.05-12mdv2011.0
+ Revision: 605813
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.05-11mdv2010.1
+ Revision: 522361
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.05-10mdv2010.0
+ Revision: 413238
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.05-9mdv2009.1
+ Revision: 350235
- 2009.1 rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.05-8mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.05-8mdv2008.1
+ Revision: 186282
- Run clanbomber with soundwrapper (Mdv bug #38420)

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.05-7mdv2008.1
+ Revision: 149084
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Mar 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-6mdv2007.1
+ Revision: 146845
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
+ Revision: 145774
- Import clanbomber

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
- use the %%mrel macro
- bunzip patches
- fix the xdg menu stuff

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-4mdk
- fix buildrequires

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.05-3mdk
- Rebuild with new menu

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.05-2mdk 
- rebuild, patch from  Christiaan Welvaart <cjw@daneel.dyndns.org>
- remove Packager tag

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-1mdk
- 0.5
- fix build when there's no $DISPLAY available (P9 from debian)
- fix buildrequires
- change summary macro to avoid conflicts if we were to build debug package
- spec cosmetics

